##
## interfaces.py
from zope import schema
from waeup.sirp.interfaces import (
    IWAeUPObject, ISessionConfiguration, academic_sessions_vocab)

# It's recommended to replicate all fields from the base package here.
class ISessionConfiguration(ISessionConfiguration):
    """A session configuration object.
    """

    school_fee_base = schema.Int(
        title = u'School Fee (ignored)',
        default = 0,
        )

    surcharge_1 = schema.Int(
        title = u'Surcharge BT',
        default = 0,
        )

    surcharge_2 = schema.Int(
        title = u'Surcharge Interswitch',
        default = 0,
        )

    surcharge_3 = schema.Int(
        title = u'Surcharge 3',
        default = 0,
        )

    clearance = schema.Int(
        title = u'Clearance Fee',
        default = 0,
        )

    booking_fee = schema.Int(
        title = u'Booking Fee',
        default = 0,
        )

    maint_fee = schema.Int(
        title = u'Maintenance Fee',
        default = 0,
        )

    gown = schema.Int(
        title = u'Gown Fee',
        default = 0,
        )

    transfer = schema.Int(
        title = u'Transfer Fee',
        default = 0,
        )

    def getSessionString():
        """Returns the session string from the vocabulary.
        """


class ISessionConfigurationAdd(ISessionConfiguration):
    """A session configuration object in add mode.
    """

    academic_session = schema.Choice(
        title = u'Academic Session',
        source = academic_sessions_vocab,
        default = None,
        required = True,
        readonly = False,
        )

ISessionConfigurationAdd['academic_session'].order =  ISessionConfiguration[
    'academic_session'].order